/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <alo17@hot.ee>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
#ifdef __GNUG__
	#pragma implementation "SearchListCtrl.cpp"
#endif

// For compilers that support precompilation, includes "wx/wx.h".
#include "wx/wxprec.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#include "SearchListCtrl.h"

BEGIN_EVENT_TABLE(CSearchListCtrl, wxListCtrl)
	EVT_SIZE(CSearchListCtrl::OnSize)
END_EVENT_TABLE()

/*
 * Constructor for Search List Control. Constructs the list control and
 * column layout.
 */
CSearchListCtrl::CSearchListCtrl(
	wxWindow*& parent,int id,const wxPoint& pos,wxSize siz,int flags
)
: wxListCtrl(parent,id,pos,siz,flags) {

	int width = GetSize().GetWidth();
	
	InsertColumn( 0, wxT("Name"), wxLIST_FORMAT_LEFT, int(width*0.35));
	InsertColumn( 1, wxT("Size"), wxLIST_FORMAT_LEFT, int(width*0.08));
	InsertColumn( 2, wxT("Sources"), wxLIST_FORMAT_LEFT, int(width*0.08));
	InsertColumn( 3, wxT("Type"), wxLIST_FORMAT_LEFT, int(width*0.08));
	InsertColumn( 4, wxT("Hash"), wxLIST_FORMAT_LEFT, int(width*0.40));
}

/*
 * Handles dialog size changing events. Recalculates the tab widths according to 
 * control width and sets the accordingly.
 */
void CSearchListCtrl::OnSize(wxSizeEvent &event) {
	int width = GetSize().GetWidth();
	SetColumnWidth(0, int(width*0.35));
	SetColumnWidth(1, int(width*0.08));
	SetColumnWidth(2, int(width*0.08));
	SetColumnWidth(3, int(width*0.08));
	SetColumnWidth(4, int(width*0.40));
	event.Skip();
}
