/*
 *  This file is part of xMule2.
 *  Copyright (C) 2003 Alo Sarv <alo17@hot.ee>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __xMuleDlg_H__
#define __xMuleDlg_H__

#ifdef __GNUG__
    #pragma interface "xMuleDlg.h"
#endif

// Include wxWindows' headers
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

// Include private headers
#include "xMuleGUI_wdr.h"
#include "ServerWnd.h"
#include "SearchWnd.h"
#include "TransferWnd.h"
#include "SharedFilesWnd.h"
#include "MessagesWnd.h"
#include "StatisticsWnd.h"
#include "StatusBar.h"
#include "PreferencesDlg.h"

/*
 * Constants for xMuleDlg
 */

#define ID_QUIT     100
#define ID_ABOUT    101

/*
 * xMuleDlg class. The main dialog functions like Toolbar and Statusbar
 * stuff go in here.
 */

class xMuleDlg: public wxFrame
{
public:
	xMuleDlg( wxWindow *parent, wxWindowID id, const wxString &title,
		const wxPoint& pos = wxDefaultPosition,
		const wxSize& size = wxDefaultSize,
		long style = wxDEFAULT_FRAME_STYLE );
	~xMuleDlg();
	
	wxStatusBar *m_statusbar;
	
	CServerWnd *serverwnd;
	CSearchWnd *searchwnd;
	CTransferWnd *transferwnd;
	CSharedFilesWnd *sharedfileswnd;
	CMessagesWnd *messageswnd;
	CStatisticsWnd *statisticswnd;
	CPreferencesDlg *prefsdlg;
	
	wxWindow *activewnd;
	
private:
	DECLARE_EVENT_TABLE()
	
	void CreateMyToolBar();
	void OnQuit( wxCommandEvent &event );
	void OnCloseWindow( wxCloseEvent &event );	
	
	void ToolbarButtonClicked(wxCommandEvent &event);
	void OnBtnConnect();
	void OnBtnPreferences();
	void SetActiveDialog(wxWindow* dlg);
	
	wxSizer *m_mainsizer;
	wxToolBar *tb;
	
	int m_lastbtn;	
};


#endif
